# Keeb

My collection of mechanical keyboards.

## Keyboard

### iKBC CD87 Cherry MX Blue

My first keeb.

Damn it's so loud :D

### KBDfans X Lazurite D60Lite

I bought it from my friend.

![keeb-009](https://raw.githubusercontent.com/haunt98/posts-images/main/keeb-009.png)
![keeb-010](https://raw.githubusercontent.com/haunt98/posts-images/main/keeb-010.png)
![keeb-011](https://raw.githubusercontent.com/haunt98/posts-images/main/keeb-011.png)
![keeb-012](https://raw.githubusercontent.com/haunt98/posts-images/main/keeb-012.png)

#### Specs

![keeb-001](https://raw.githubusercontent.com/haunt98/posts-images/main/keeb-001.webp)

![keeb-002](https://raw.githubusercontent.com/haunt98/posts-images/main/keeb-002.webp)

![keeb-003](https://raw.githubusercontent.com/haunt98/posts-images/main/keeb-003.webp)

![keeb-006](https://raw.githubusercontent.com/haunt98/posts-images/main/keeb-006.webp)

- USB-C
- **Gasket mount**
- PCB: DZ60 RGB-WKL Hot-Swap
  - **South facing** (mạch xuôi), but 2 switches in the top left are **North facing** (mạch ngược) (usually keys `ESC`, `1`).

#### Layout

For mapping I use [VIA](https://www.caniusevia.com/).
Thankfully. my friend already flashed it for me.

Alternatively, you can use [Vial](https://get.vial.today/).

Layer 0:

![keeb-000](https://raw.githubusercontent.com/haunt98/posts-images/main/keeb-000.png)

Layer 1:

![keeb-005](https://raw.githubusercontent.com/haunt98/posts-images/main/keeb-005.png)

[VIA layout JSON](https://gist.github.com/haunt98/d1210e625c2bf021d9a59f84ef822f9f)

My layout is based on HHKB layout:

![keeb-004](https://raw.githubusercontent.com/haunt98/posts-images/main/keeb-004.png)

My layout's **quirk**:

- Replace `Caps Lock` 1.75U with `Control` 1.75U.
- 2 `Command` 1.5U.
- 2 `Alt` 1U.
- 1 `Backspace` 1.5U.
- 1 `|\` 1U.
- 1 `Shift` 1.75U.
- 1 `Space` 7U.

#### Review

Things I don't like, also [honest review from Reddit](https://www.reddit.com/r/HHKB/comments/xmcbkq/comment/j1625fy):

- Not all keys are **South facing**.
- The sides don't have any gaskets, so the keys on the far left and right bend down more. They will pop out of the hotswap PCB or the plate if pressing too hard.

#### Support links

- [Building Tutorial & Sound Test](https://www.youtube.com/watch?v=FafxRLZkwg8)
- [Build tutorial](https://shimo.im/docs/tD99za9fJ1ssKD0d/read?spm=a2g0o.detail.1000023.14.6b3a4225JXRu2l)
- [KBDFans D60 Lite Mechanical Keyboard Review](https://cookiecurls.com/kbdfans-d60-lite-review/)
- [USB Drive Flash Manual](https://docs.google.com/document/d/111qx6Qec4JqtIhWaZlMND-VuRnFtn9a-gJaHN8fsL7M/edit)
- [DZ60RGB-WKL Hot-Swap PCB KBDFANS](https://kbdfans.com/products/dz60rgb-wkl-hot-swap-pcb)
- [Reddit](https://www.reddit.com/r/mechmarket/comments/n6zhf6/gb_kbdfans_x_gmk_lazurite_d60lite)
- [geekhack](https://geekhack.org/index.php?topic=112710.0)
- [AliExpress](https://vi.aliexpress.com/item/1005004546350713.html?gatewayAdapt=glo2vnm)

## Switch

### KTT Strawberry

I choose this switch because I prefer linear (please be silent).

![keeb-007](https://raw.githubusercontent.com/haunt98/posts-images/main/keeb-007.jpg)

#### Specs

- Type: Linear
- Mount: 5-pin
- Housing material: Polycarbonate
- Stem material: POM
- Actuation force: 43g
- Bottom out force: 62g
- Spring: Gold plated spring
- Travel distance: 4.0mm

#### Support links

- [KTT Strawberry Switch Review](https://www.theremingoat.com/blog/ktt-strawberry-switch-review)
- [KeebCats](https://keebcats.co.uk/products/ktt-strawberry-linear-switches)
- [ShopeeVN](https://shopee.vn/KTT-Strawberry-5-PIN-Switch-KTT-D%C3%A2u-b%E1%BA%A3n-m%E1%BB%9Bi-5-ch%C3%A2n-d%C3%B9ng-cho-b%C3%A0n-ph%C3%ADm-c%C6%A1-i.234040784.12331243715)

### SKYLOONG Glacier Silent Red Switch

I was given this switch by my friend.
Currently using for alpha keys.
Love the silent.

![keeb-008](https://raw.githubusercontent.com/haunt98/posts-images/main/keeb-008.webp)

#### Specs

- Type: Linear
- Mount: 5-pin
- Actuation force: 48g
- Bottom out force: 52g
- Pre travel: 1.5-2.0mm
- Total travel: 3.8mm

#### Support links

- [KTT Strawberry Switch Review](https://www.theremingoat.com/blog/ktt-strawberry-switch-review)
- [KeebCats](https://keebcats.co.uk/products/ktt-strawberry-linear-switches)
- [ShopeeVN](https://shopee.vn/KTT-Strawberry-5-PIN-Switch-KTT-D%C3%A2u-b%E1%BA%A3n-m%E1%BB%9Bi-5-ch%C3%A2n-d%C3%B9ng-cho-b%C3%A0n-ph%C3%ADm-c%C6%A1-i.234040784.12331243715)
- [KPrepublic](https://kprepublic.com/products/skyloong-glacier-switch-5pin-smd-rgb-mx-stem-switch-for-mechanical-keyboard-brown-yellow-silent-red-silver-milk-rose-35-in-1)

## Keycap

Currently, I use Akko 9009 Cherry Profile (having all basic keys) and EnjoyPBT 9009 Cherry Profile (only vim keys).

I know I know, I love 9009 color too much.

### Color I love

- [9009 R3](https://matrixzj.github.io/docs/gmk-keycaps/9009-R3/)
- [Mecha-01](https://matrixzj.github.io/docs/gmk-keycaps/Mecha-01/)
- [Olivia R3](https://matrixzj.github.io/docs/gmk-keycaps/Olivia-R3/)
- [Red Samurai R2 红武士 R2](https://matrixzj.github.io/docs/gmk-keycaps/Red-Samurai-R2/)
- [Blue Samurai 蓝武士](https://matrixzj.github.io/docs/gmk-keycaps/Blue-Samurai/)
- [Terminal R2 终端机 R2](https://matrixzj.github.io/docs/gmk-keycaps/Terminal-R2/)
- [Serika R2 芹夏 R2](https://matrixzj.github.io/docs/gmk-keycaps/Serika-R2/)
- [Lazurite](https://matrixzj.github.io/docs/gmk-keycaps/Lazurite/)

## Thanks

- [hhkb.io](https://hhkb.io/)
- [Enjoy Beautiful KeyCaps](https://matrixzj.github.io/)
- [Cheat sheet: Custom keyboard mounting styles](https://thomasbaart.nl/2019/04/07/cheat-sheet-custom-keyboard-mounting-styles/)
